Bug 1330179 (CVE-2016-3702) - CVE-2016-3702 CFME vulnerable to padding oracle attack against AES-256-CBC
Summary: CVE-2016-3702 CFME vulnerable to padding oracle attack against AES-256-CBC
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-3702
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160425,reported=2...
Depends On: 1366330
Blocks: 1330182
TreeView+ depends on / blocked
 
Reported: 2016-04-25 14:29 UTC by Ján Rusnačko
Modified: 2019-06-08 21:09 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A padding oracle flaw was found in the encryption of sensitive information stored within the backend database used by CloudForms. An attacker able to submit forged cipher texts could observe the results of encryption and determine information that could, in turn, lead to the disclosure of encrypted data within the database.
Clone Of:
Environment:
Last Closed: 2016-12-20 03:54:30 UTC


Attachments (Terms of Use)

Description Ján Rusnačko 2016-04-25 14:29:51 UTC
Internally CFME uses AES-256-CBC encryption to encrypt important data before it is saved in the database. This encryption mode is vulnerable to padding oracle attack and CFME does allow attacker to submit forged ciphertexts for encryption and observe the result.

Comment 1 Ján Rusnačko 2016-04-25 14:30:05 UTC
Acknowledgments:

Name: Travis Scheponik (Red Hat)

Comment 6 Kurt Seifried 2016-12-20 03:54:30 UTC
Statement: 

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.